DEFINITION MODULE bio;

FROM K32machine IMPORT

	virtAddr;

FROM K32baseTypes IMPORT

	cardinal16, cardinal32, integer16;

FROM IOform IMPORT

	diskBlock;

EXPORT QUALIFIED

	bclose, bfind, bflush, blockAddr, Btype;

TYPE
	blockAddr = POINTER TO diskBlock;
	Btype = (Bread, Bupdate, Bwrite);

PROCEDURE bflush(
	f : integer16
	);

PROCEDURE bfind(
	f : integer16;
	b : cardinal32;
	upd : Btype
	) : blockAddr;

PROCEDURE bclose(
	f : integer16
	);

END bio.
